<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /Users/sdy/AVS/github/avs-device-sdk/PlaylistParser/include/PlaylistParser/UrlToAttachmentConverter.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_655fbec917b1f23289d3ed8ec9803bf1.html">PlaylistParser</a></li><li class="navelem"><a class="el" href="dir_057ee5c37ac9c880ef5f0b623529f2e3.html">include</a></li><li class="navelem"><a class="el" href="dir_0ae71fe8a08302c61b29252af9be9328.html">PlaylistParser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">UrlToAttachmentConverter.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachment.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_writer_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachmentWriter.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_in_process_attachment_reader_8h_source.html">AVSCommon/AVS/Attachment/InProcessAttachmentReader.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h_source.html">AVSCommon/SDKInterfaces/HTTPContentFetcherInterfaceFactoryInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_playlist_parser_observer_interface_8h_source.html">AVSCommon/Utils/PlaylistParser/PlaylistParserObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_requires_shutdown_8h_source.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_executor_8h_source.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_playlist_parser_8h_source.html">PlaylistParser/PlaylistParser.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for UrlToAttachmentConverter.h:</div>
<div class="dyncontent">
<div class="center"><img src="_url_to_attachment_converter_8h__incl.png" border="0" usemap="#_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_to_attachment_converter_8h" alt=""/></div>
<map name="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_to_attachment_converter_8h" id="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_to_attachment_converter_8h">
<area shape="rect" id="node3" href="_in_process_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachment.h" alt="" coords="1446,452,1647,491"/>
<area shape="rect" id="node31" href="_in_process_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentReader.h" alt="" coords="1077,539,1283,577"/>
<area shape="rect" id="node32" href="_in_process_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentWriter.h" alt="" coords="1307,539,1509,577"/>
<area shape="rect" id="node33" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface\lFactoryInterface.h" alt="" coords="1713,192,1916,244"/>
<area shape="rect" id="node37" href="_playlist_parser_observer_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/PlaylistParserObserver\lInterface.h" alt="" coords="2900,1119,3100,1171"/>
<area shape="rect" id="node40" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1711,945,1899,984"/>
<area shape="rect" id="node41" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="2548,452,2743,491"/>
<area shape="rect" id="node48" href="_playlist_parser_8h.html" title="PlaylistParser/PlaylistParser.h" alt="" coords="2330,119,2529,144"/>
<area shape="rect" id="node4" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1585,539,1786,577"/>
<area shape="rect" id="node12" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1210,625,1372,664"/>
<area shape="rect" id="node8" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="933,625,1134,664"/>
<area shape="rect" id="node11" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="1395,625,1597,664"/>
<area shape="rect" id="node30" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1434,865,1537,891"/>
<area shape="rect" id="node15" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1163,712,1309,737"/>
<area shape="rect" id="node17" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="860,859,1036,897"/>
<area shape="rect" id="node25" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1182,785,1290,811"/>
<area shape="rect" id="node26" href="_reader_8h.html" title="Reader.h" alt="" coords="865,785,940,811"/>
<area shape="rect" id="node29" href="_writer_8h.html" title="Writer.h" alt="" coords="1041,785,1108,811"/>
<area shape="rect" id="node18" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="860,945,1036,984"/>
<area shape="rect" id="node20" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="898,1032,1112,1071"/>
<area shape="rect" id="node21" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1283,1125,1459,1164"/>
<area shape="rect" id="node22" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="699,1032,875,1071"/>
<area shape="rect" id="node23" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1136,1032,1333,1071"/>
<area shape="rect" id="node24" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="499,1032,675,1071"/>
<area shape="rect" id="node34" href="_h_t_t_p_content_fetcher_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface.h" alt="" coords="1969,292,2183,331"/>
<area shape="rect" id="node35" href="_h_t_t_p_content_8h.html" title="AVSCommon/Utils/HTTPContent.h" alt="" coords="1962,379,2190,404"/>
<area shape="rect" id="node43" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="2600,539,2795,577"/>
<area shape="rect" id="node45" href="_task_queue_8h.html" title="AVSCommon/Utils/Threading\l/TaskQueue.h" alt="" coords="2467,625,2661,664"/>
<area shape="rect" id="node50" href="_playlist_parser_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/PlaylistParserInterface.h" alt="" coords="2896,1032,3104,1071"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_url_to_attachment_converter_8h__dep__incl.png" border="0" usemap="#_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_to_attachment_converter_8hdep" alt=""/></div>
<map name="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_to_attachment_converter_8hdep" id="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_url_to_attachment_converter_8hdep">
<area shape="rect" id="node2" href="_media_player_8h.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/MediaPlayer\l/include/MediaPlayer/MediaPlayer.h" alt="" coords="201,119,434,171"/>
<area shape="rect" id="node3" href="_media_player_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/MediaPlayer\l/src/MediaPlayer.cpp" alt="" coords="5,219,197,271"/>
<area shape="rect" id="node8" href="_url_to_attachment_converter_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/PlaylistParser\l/src/UrlToAttachmentConverter.cpp" alt="" coords="458,119,686,171"/>
<area shape="rect" id="node4" href="_media_player_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/MediaPlayer\l/test/MediaPlayerTest.cpp" alt="" coords="221,219,413,271"/>
<area shape="rect" id="node5" href="_sample_application_8h.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/SampleApp\l/include/SampleApp/SampleApplication.h" alt="" coords="437,219,702,271"/>
<area shape="rect" id="node7" href="_sample_application_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/SampleApp\l/src/SampleApplication.cpp" alt="" coords="645,319,832,371"/>
<area shape="rect" id="node6" href="main_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/SampleApp\l/src/main.cpp" alt="" coords="435,319,621,371"/>
</map>
</div>
</div>
<p><a href="_url_to_attachment_converter_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter.html">alexaClientSDK::playlistParser::UrlContentToAttachmentConverter</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class that handles the streaming of urls containing media into <code>Attachments</code>.  <a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter_1_1_error_observer_interface.html">alexaClientSDK::playlistParser::UrlContentToAttachmentConverter::ErrorObserverInterface</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to observe errors that arise from converting a URL to to an <code>Attachment</code>.  <a href="classalexa_client_s_d_k_1_1playlist_parser_1_1_url_content_to_attachment_converter_1_1_error_observer_interface.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1playlist_parser"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">alexaClientSDK::playlistParser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.4.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
